aboutsummaryrefslogtreecommitdiffstats
path: root/meta-xfce
diff options
context:
space:
mode:
authorAndreas Müller <schnitzeltony@googlemail.com>2015-05-28 00:34:58 +0200
committerMartin Jansa <Martin.Jansa@gmail.com>2015-07-16 21:09:04 +0200
commitd4e5b33047e467494f4a0343f18fcab2ebf18f79 (patch)
tree12a3e538a4c04e808a55dda9710637f82b24f777 /meta-xfce
parentf3f6e2bbc0beeed3d3dc8e82f1044659cbfd2125 (diff)
downloadmeta-openembedded-contrib-d4e5b33047e467494f4a0343f18fcab2ebf18f79.tar.gz
meta-openembedded-contrib-d4e5b33047e467494f4a0343f18fcab2ebf18f79.tar.bz2
meta-openembedded-contrib-d4e5b33047e467494f4a0343f18fcab2ebf18f79.zip
libxfce4ui: build gtk3 libs and pack gtk2/gtk3 libs in separate packages
the solution provided still allows gtk3 free images (tested on image including packagegroup-xfce-extended) but there will be updates/new recipes for xfce4 requiring gtk3 part of libxfce4ui e.g xfce4-pulseaudio-plugin (replacement for deprecated xfce4-mixer due to missing mixer API in gstreamer-1.0) / parole / xfce4-power-manager. Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com>
Diffstat (limited to 'meta-xfce')
-rw-r--r--meta-xfce/recipes-xfce/libxfce4ui/files/0002-configure.ac-remove-optional-gtk3-support.patch37
-rw-r--r--meta-xfce/recipes-xfce/libxfce4ui/libxfce4ui_4.12.1.bb7
2 files changed, 5 insertions, 39 deletions
diff --git a/meta-xfce/recipes-xfce/libxfce4ui/files/0002-configure.ac-remove-optional-gtk3-support.patch b/meta-xfce/recipes-xfce/libxfce4ui/files/0002-configure.ac-remove-optional-gtk3-support.patch
deleted file mode 100644
index e154711927..0000000000
--- a/meta-xfce/recipes-xfce/libxfce4ui/files/0002-configure.ac-remove-optional-gtk3-support.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From d61dc6718a2abaf70d19f17d34128cb7e161e057 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Andreas=20M=C3=BCller?= <schnitzeltony@googlemail.com>
-Date: Wed, 18 Sep 2013 20:50:11 +0200
-Subject: [PATCH] configure.ac: remove optional gtk3 support
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-
-it drags in gtk3 if that was build before. This is not yet wanted
-
-Upstream-Status: Inappropriate [configuration]
-
-Signed-off-by: Andreas Müller <schnitzeltony@googlemail.com>
----
- configure.ac | 6 ------
- 1 file changed, 6 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index e47df04..b6edab1 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -129,12 +129,6 @@ XDT_CHECK_PACKAGE([GOBJECT], [gobject-2.0], [2.28.0])
- XDT_CHECK_PACKAGE([GTK2], [gtk+-2.0], [2.24.0])
- XDT_CHECK_PACKAGE([LIBXFCE4UTIL], [libxfce4util-1.0], [4.10.0])
-
--dnl ***********************************************************
--dnl *** Optional support for a GTK+3 version of the library ***
--dnl ***********************************************************
--XDT_CHECK_OPTIONAL_PACKAGE([GTK3],
-- [gtk+-3.0], [3.2.0], [gtk3],
-- [GTK+ 3 support])
- AM_CONDITIONAL([ENABLE_GTK3_LIBRARY], [test "x$GTK3_FOUND" = "xyes"])
-
- dnl *************************************************
---
-1.8.3.1
-
diff --git a/meta-xfce/recipes-xfce/libxfce4ui/libxfce4ui_4.12.1.bb b/meta-xfce/recipes-xfce/libxfce4ui/libxfce4ui_4.12.1.bb
index 36f42d3f94..26d21c1f0b 100644
--- a/meta-xfce/recipes-xfce/libxfce4ui/libxfce4ui_4.12.1.bb
+++ b/meta-xfce/recipes-xfce/libxfce4ui/libxfce4ui_4.12.1.bb
@@ -2,13 +2,12 @@ SUMMARY = "Xfce4 Widget library and X Window System interaction"
SECTION = "x11/libs"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=252890d9eee26aab7b432e8b8a616475"
-DEPENDS = "perl-native glib-2.0 gtk+ intltool libxfce4util xfconf xfce4-dev-tools virtual/libx11 libsm libice"
+DEPENDS = "perl-native glib-2.0 gtk+ gtk+3 intltool libxfce4util xfconf xfce4-dev-tools virtual/libx11 libsm libice"
inherit xfce autotools gettext gtk-doc
SRC_URI += " \
file://0001-libxfce4kbd-private-xfce4-keyboard-shortcuts.xml-fix.patch \
- file://0002-configure.ac-remove-optional-gtk3-support.patch \
"
SRC_URI[md5sum] = "ea9fad7d059fe8f531fe8db42dabb5a9"
SRC_URI[sha256sum] = "3d619811bfbe7478bb984c16543d980cadd08586365a7bc25e59e3ca6384ff43"
@@ -19,6 +18,10 @@ PACKAGECONFIG ??= ""
PACKAGECONFIG[gladeui] = "--enable-gladeui,--disable-gladeui,glade3"
PACKAGECONFIG[startup-notification] = "--enable-startup-notification,--disable-startup-notification,startup-notification"
+PACKAGES =+ "${PN}-gtk2 ${PN}-gtk3"
+FILES_${PN}-gtk2 += "${libdir}/libxfce4ui-1.so.* ${libdir}/libxfce4kbd-private-2.so.*"
+FILES_${PN}-gtk3 += "${libdir}/libxfce4ui-2.so.* ${libdir}/libxfce4kbd-private-3.so.*"
+
FILES_${PN}-dbg += "${libdir}/glade3/modules/.debug"
FILES_${PN}-dev += "${libdir}/glade3/modules/*.la \
${datadir}/glade3/catalogs/*.in"